View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000996Ecere SDKide:buildsystempublic2013-08-30 02:532013-10-09 07:00
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.08 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000996: Remaining troubles with .ec modules containing spaces
DescriptionUsing the latest TDM MinGW-w64 binaries and the latest make from MinGW-w64:

http://sourceforge.net/projects/mingw-w64/files/External%20binary%20packages%20%28Win64%20hosted%29/make/make-3.82.90-20111115.zip/download [^] [^]

- Create a project, add a file with a space in it
- With a minimalistic compiler, it actually builds fine but suffers from a few issues:

   * A bunch of these error messages on clean/rebuild: E:/temp/spacetest2/spacetest2-Debug.Makefile:148: recipe for target `clean' failed
   * Ctrl-F7 (Compile single file still doesn't work)

Adding a path with space to the include paths, things don't build at all anymore, either of the following will cause the original problem:

C:\Program Files\Ecere SDK\tdm\lib\gcc\x86_64-w64-mingw32\4.7.1\include\c++
C:\Program Files (x86)\Java\jdk1.7.0_03\include
TagsNo tags attached.
Attached Files

- Relationships
related to 0000975closedredj Spaces don't work at all for files anymore, not even resources (This used to work!) 

-  Notes
(0001121)
redj (administrator)
2013-10-06 03:38
edited on: 2013-10-09 06:55

fixed by https://github.com/ecere/ecere-sdk/commit/597d252c479be5e208f697a78ad712b70bb50b2f [^]


- Issue History
Date Modified Username Field Change
2013-08-30 02:53 jerome New Issue
2013-08-30 02:53 jerome Status new => assigned
2013-08-30 02:53 jerome Assigned To => redj
2013-08-30 02:53 jerome Issue generated from: 0000975
2013-08-30 02:54 jerome Product Version 0.44.07 => 0.44.08
2013-08-30 02:54 jerome Target Version => 0.44.10 Tablet Edition
2013-08-30 02:54 jerome Description Updated
2013-08-30 02:54 jerome Relationship added related to 0000975
2013-09-08 18:25 jerome Target Version 0.44.11 Tablet Edition/Docs => 0.44.10 64
2013-10-06 03:38 redj Status assigned => resolved
2013-10-06 03:38 redj Fixed in Version => 0.44.10 64
2013-10-06 03:38 redj Resolution open => fixed
2013-10-06 03:38 redj Note Added: 0001121
2013-10-09 06:55 jerome Note Edited: 0001121
2013-10-09 07:00 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker